#pragma once
#include "VAIBO.h"
#include "VAIBODef.h"

class CBaseClientDlg;

// CImageTP Command Target

class CImageTP : public CObject
{
public:
	CImageTP(CVAIBO *pVAibo, CBaseClientDlg *pDlg);
	virtual ~CImageTP();
	BOOL Initialize(void);
	BOOL HandleImageData(UINT uLen);
	BOOL TakePicture(LPCSTR pFileName);
	BOOL Terminate(void);
	BOOL ImageStop(void);
	CByteArray  m_pImageBufN, m_pImageBufF;
	BOOL m_bNewPhoto;
	BOOL m_bDoneSetParam;
	BOOL m_bActiveImagePlay;
protected:
	CVAIBO *m_pVAibo;
	CBaseClientDlg *m_pDlg;
	CByteArray  m_imagebuf;
	BOOL m_DoTakePicture;
	CString m_PhotoFileName;
	BOOL m_bDoneSetWindowHandle;
	BOOL m_bUpdateBmpFile;
	UINT m_uLen;
};
