// GetSensorInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Cpcinfo.h"
#include "GetSensorInfo.h"
#include "GetSensorInfoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGetSensorInfoDlg dialog

CGetSensorInfoDlg::CGetSensorInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGetSensorInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGetSensorInfoDlg)
	m_sSkip = _T("");
	m_sHeadPan = _T("");
	m_sHeadTilt1 = _T("");
	m_sHeadTilt2 = _T("");
	m_sLFJ1 = _T("");
	m_sLFJ2 = _T("");
	m_sLFJ3 = _T("");
	m_sLRJ2 = _T("");
	m_sLRJ1 = _T("");
	m_sLRJ3 = _T("");
	m_sMouth = _T("");
	m_sRFJ1 = _T("");
	m_sRFJ2 = _T("");
	m_sRFJ3 = _T("");
	m_sRRJ1 = _T("");
	m_sRRJ2 = _T("");
	m_sRRJ3 = _T("");
	m_sTail1 = _T("");
	m_sTail2 = _T("");
	m_sAcc1 = _T("");
	m_sAcc2 = _T("");
	m_sAcc3 = _T("");
	m_sBackSW1 = _T("");
	m_sBackSW2 = _T("");
	m_sBackSW3 = _T("");
	m_sChin = _T("");
	m_sHead = _T("");
	m_sLEar = _T("");
	m_sREar = _T("");
	m_sPSDXY = _T("");
	m_sPSDXYF = _T("");
	m_sPSDXYFN = _T("");
	m_sPSDXYN = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pVAibo = NULL;
	m_nAiboID = -1;
	m_bConnected = false;
    m_bControl = false;
    m_myRequest = false;
	m_bNetServiceSensorEnable = false; 
	m_bSensorTransferStart = false;
	m_bSetSkipRate = false;
}

void CGetSensorInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGetSensorInfoDlg)
	DDX_Control(pDX, IDC_SLIDER1, m_sliderSkip);
	DDX_Control(pDX, IDC_IPADDRESS1, m_ipAddress);
	DDX_Text(pDX, IDC_EDIT_SKIP, m_sSkip);
	DDX_Text(pDX, IDC_EDIT_HEADPAN, m_sHeadPan);
	DDX_Text(pDX, IDC_EDIT_HEADTILT1, m_sHeadTilt1);
	DDX_Text(pDX, IDC_EDIT_HEADTILT2, m_sHeadTilt2);
	DDX_Text(pDX, IDC_EDIT_LFJ1, m_sLFJ1);
	DDX_Text(pDX, IDC_EDIT_LFJ2, m_sLFJ2);
	DDX_Text(pDX, IDC_EDIT_LFJ3, m_sLFJ3);
	DDX_Text(pDX, IDC_EDIT_LRJ2, m_sLRJ2);
	DDX_Text(pDX, IDC_EDIT_LRJ1, m_sLRJ1);
	DDX_Text(pDX, IDC_EDIT_LRJ3, m_sLRJ3);
	DDX_Text(pDX, IDC_EDIT_MOUTH, m_sMouth);
	DDX_Text(pDX, IDC_EDIT_RFJ1, m_sRFJ1);
	DDX_Text(pDX, IDC_EDIT_RFJ2, m_sRFJ2);
	DDX_Text(pDX, IDC_EDIT_RFJ3, m_sRFJ3);
	DDX_Text(pDX, IDC_EDIT_RRJ1, m_sRRJ1);
	DDX_Text(pDX, IDC_EDIT_RRJ2, m_sRRJ2);
	DDX_Text(pDX, IDC_EDIT_RRJ3, m_sRRJ3);
	DDX_Text(pDX, IDC_EDIT_TAIL1, m_sTail1);
	DDX_Text(pDX, IDC_EDIT_TAIL2, m_sTail2);
	DDX_Text(pDX, IDC_EDIT_ACC1, m_sAcc1);
	DDX_Text(pDX, IDC_EDIT_ACC2, m_sAcc2);
	DDX_Text(pDX, IDC_EDIT_ACC3, m_sAcc3);
	DDX_Text(pDX, IDC_EDIT_BACKSW1, m_sBackSW1);
	DDX_Text(pDX, IDC_EDIT_BACKSW2, m_sBackSW2);
	DDX_Text(pDX, IDC_EDIT_BAKCSW3, m_sBackSW3);
	DDX_Text(pDX, IDC_EDIT_CHIN, m_sChin);
	DDX_Text(pDX, IDC_EDIT_HEAD, m_sHead);
	DDX_Text(pDX, IDC_EDIT_LEAR, m_sLEar);
	DDX_Text(pDX, IDC_EDIT_REAR, m_sREar);
	DDX_Text(pDX, IDC_EDIT_PSDXY, m_sPSDXY);
	DDX_Text(pDX, IDC_EDIT_PSDXYF, m_sPSDXYF);
	DDX_Text(pDX, IDC_EDIT_PSDXYFN, m_sPSDXYFN);
	DDX_Text(pDX, IDC_EDIT_PSDXYN, m_sPSDXYN);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CGetSensorInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CGetSensorInfoDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BTN_CONNECT, OnBtnConnect)
	ON_BN_CLICKED(IDC_BTN_START, OnBtnStart)
	ON_WM_HSCROLL()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_REMOTE, OnBtnRemote)
	ON_BN_CLICKED(IDC_BTN_INTERNAL, OnBtnInternal)
	//}}AFX_MSG_MAP
	// VAIBO Sever Messages
	ON_REGISTERED_MESSAGE(WM_VAIBO_CONNECT, OnVAIBOConnect)
	ON_REGISTERED_MESSAGE(WM_VAIBO_CLIENT_UPDATE, OnVAIBOConnectUpdate)
	ON_REGISTERED_MESSAGE(WM_VAIBO_DISCONNECT, OnVAIBODisconnect)
	ON_REGISTERED_MESSAGE(WM_VAIBO_SENSOR_DATA, OnVAIBOSensorData)
	ON_REGISTERED_MESSAGE(WM_VAIBO_SENSOR_ENABLE, OnVAIBOSensorEnable)
	ON_REGISTERED_MESSAGE(WM_VAIBO_SENSOR_DISABLE, OnVAIBOSensorDisable)
    ON_REGISTERED_MESSAGE(WM_VAIBO_REMOTE_NOTIFY, OnVAIBORemoteNotify)
	ON_REGISTERED_MESSAGE(WM_VAIBO_SEMANTICS, OnVAIBOSemantics)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGetSensorInfoDlg message handlers

BOOL CGetSensorInfoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	if ( m_pVAibo == NULL ) {
		m_pVAibo = new CVAIBO( this->m_hWnd );
	}
	ASSERT(m_pVAibo);

	// Get the IP address
	INT	nField0, nField1, nField2, nField3;
	LPCTSTR	p = theApp.m_sAiboIP.GetBuffer(128);
	::sscanf( p, "%d.%d.%d.%d", &nField0, &nField1, &nField2, &nField3 );
	theApp.m_sAiboIP.ReleaseBuffer();
	m_ipAddress.SetAddress( nField0, nField1, nField2, nField3 );

	buttonStart().EnableWindow(false);

	// Initialize the sensor skip slider
	m_sliderSkip.SetRangeMin(1, true);
	m_sliderSkip.SetRangeMax(20, true);
	m_sliderSkip.SetTicFreq(1);
	m_sliderSkip.SetPos(10);
	m_sSkip.Format("10");
	UpdateData(false);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.


//	ON_REGISTERED_MESSAGE(WM_VAIBO_CLIENT_UPDATE, OnVAIBOConnectUpdate)
//	Another application has already connected to AIBO
LRESULT CGetSensorInfoDlg::OnVAIBOConnectUpdate( WPARAM wParam, LPARAM lParam )
{
	LRESULT result;

    if ((unsigned) m_nAiboID != HIWORD(wParam)) {
		// This is not my AIBO that I requested to connect to
		return S_FALSE;
	}
    if (!m_myRequest) {
        // This is not my request, another application changes the connection status.
        return S_FALSE;
    }
    m_myRequest = FALSE;
	if (LOWORD(wParam) == 1) {
		result = OnVAIBOConnect(wParam, lParam );
	} else {
		result = OnVAIBODisconnect(wParam, lParam );
	}
	return result;
}

//	ON_REGISTERED_MESSAGE(WM_VAIBO_CONNECT, OnVAIBOConnect)
LRESULT CGetSensorInfoDlg::OnVAIBOConnect( WPARAM wParam, LPARAM lParam )
{
	if ((unsigned) m_nAiboID != HIWORD(wParam)) {
		// This is not my AIBO that I requested to connect to
		return S_FALSE;
	}
	buttonConnect().SetWindowText( "Disconnect" );
	buttonStart().EnableWindow(false);
	buttonStart().SetWindowText( "Start" );
    buttonRemote().EnableWindow(true);
    buttonInternal().EnableWindow(false);
	m_bSentpSending = false;
	m_bConnected = true;
    m_bControl = false;
	m_bNetServiceSensorEnable = false; 
	m_bSensorTransferStart = false;
	m_bSetSkipRate = false;
    // Check another application getting remote control
    if ( m_pVAibo->IsRemote() ) {
        OnVAIBORemoteNotify(wParam, 1);
    } 
	return S_OK;
}

//	ON_REGISTERED_MESSAGE(WM_VAIBO_DISCONNECT, OnVAIBODisconnect)
LRESULT CGetSensorInfoDlg::OnVAIBODisconnect( WPARAM wParam, LPARAM lParam )
{
	if ((unsigned) m_nAiboID != HIWORD(wParam)) {
		// This is not my AIBO that I was connected to
		return S_FALSE;
	}
	buttonConnect().SetWindowText( "Connect" );
	buttonStart().EnableWindow(false);
	buttonStart().SetWindowText( "Start" );
    buttonRemote().EnableWindow(false);
    buttonInternal().EnableWindow(false);
	m_bSentpSending = false;
	m_bConnected = false;
    m_bControl = false;
    m_nAiboID = -1;
	m_bNetServiceSensorEnable = false; 
	m_bSensorTransferStart = false;
	m_bSetSkipRate = false;
	return S_OK;
}

// Sent when sensor data is received.
LRESULT CGetSensorInfoDlg::OnVAIBOSensorData( WPARAM wParam, LPARAM recArray )
{
	int		numOfData, aiboID;
	aiboID = HIWORD( wParam );
	numOfData = LOWORD( wParam );

	if ( m_pVAibo == NULL ) {
		return S_OK;
	}
	if (!m_bSetSkipRate) {
		m_pVAibo->SensorSetSkipRate(m_sliderSkip.GetPos());
		m_bSetSkipRate = true;
	}
	if ( m_bConnected && (m_pVAibo->GetStateSensorTP() != SENSORTP_STATE_CLOSE) ) {
		
		// Loop for each sensor data
		for (int i = 0; i < numOfData; i++) {
			
			// Sensor value
			long lValue = (long)(((SensorRec *)recArray)[i].value);

			CString str;
			str.Format("%d", lValue);

			// Sensor ID
			switch (((SensorRec *)recArray)[i].sensorID) {
			case Acc1:			m_sAcc1.Format("%d", lValue);						break;
			case Acc2:			m_sAcc2.Format("%d", lValue);						break;
			case Acc3:			m_sAcc3.Format("%d", lValue);						break;
			case HeadTilt:		m_sHeadTilt1.Format("%.2f", lValue/3141592.0*180.0);break;  //in degrees
			case HeadPan:		m_sHeadPan.Format("%.2f", lValue/3141592.0*180.0);	break;  //in degrees
			case Head1:			m_sHead.Format("%d", lValue);						break;
			case Chin:			m_sChin.Format("%d", lValue);						break;
			case LFJ1:			m_sLFJ1.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case LFJ2:			m_sLFJ2.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case LFJ3:			m_sLFJ3.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case LRJ1:			m_sLRJ1.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case LRJ2:			m_sLRJ2.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case LRJ3:			m_sLRJ3.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RFJ1:			m_sRFJ1.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RFJ2:			m_sRFJ2.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RFJ3:			m_sRFJ3.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RRJ1:			m_sRRJ1.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RRJ2:			m_sRRJ2.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case RRJ3:			m_sRRJ3.Format("%.2f", lValue/3141592.0*180.0);		break;  //in degrees
			case BackSW:		m_sBackSW1.Format("%d", lValue);					break;
			case LEar:			m_sLEar.Format("%d", lValue);						break;
			case REar:			m_sREar.Format("%d", lValue);						break;
			case Mouth:			m_sMouth.Format("%.2f", lValue/3141592.0*180.0);	break;  //in degrees
			case Tail1:			m_sTail1.Format("%.2f", lValue/3141592.0*180.0);	break;  //in degrees
			case Tail2:			m_sTail2.Format("%.2f", lValue/3141592.0*180.0);	break;  //in degrees
			case PSDWithXY:		m_sPSDXY.Format("%.2f", lValue/10000.0);			break;  //in cm
			case HeadTilt2:		m_sHeadTilt2.Format("%.2f", lValue/3141592.0*180.0);break;  //in degrees
			case BackSW2:		m_sBackSW2.Format("%d", lValue);					break;
			case BackSW3:		m_sBackSW3.Format("%d", lValue);					break;
			case PSDWithXY_FN:	m_sPSDXYFN.Format("%.2f", lValue/10000.0);			break;  //in cm
			case PSDWithXY_N:	m_sPSDXYN.Format("%.2f", lValue/10000.0);			break;  //in cm
			case PSDWithXY_F:	m_sPSDXYF.Format("%.2f", lValue/10000.0);			break;  //in cm
			}
		}
		UpdateData(false);
	}
	return S_OK;
}

LRESULT CGetSensorInfoDlg::OnVAIBOSensorEnable( WPARAM wParam, LPARAM recvLen )
{
	if (m_bSensorTransferStart) {
		buttonStart().SetWindowText( "Stop" );
	} else {
		buttonStart().SetWindowText( "Stopping" );
	}
	return S_OK;
}

LRESULT CGetSensorInfoDlg::OnVAIBOSensorDisable( WPARAM wParam, LPARAM recvLen )
{
	buttonStart().SetWindowText( "Start" );
	return S_OK;
}

//  ON_REGISTERED_MESSAGE(WM_VAIBO_REMOTE_NOTIFY, OnVAIBORemoteNotify)
LRESULT CGetSensorInfoDlg::OnVAIBORemoteNotify( WPARAM wParam, LPARAM lParam )
{
    if ((unsigned) m_nAiboID != HIWORD(wParam)) {
        // This is not my AIBO that I requested to connect to
        return S_FALSE;
    }
    if (lParam) {
        // External control
        buttonRemote().EnableWindow(FALSE);
        buttonInternal().EnableWindow(TRUE);
        buttonStart().EnableWindow(TRUE);
        m_bControl = TRUE;
    } else {
        // Internal control
        buttonRemote().EnableWindow(TRUE);
        buttonInternal().EnableWindow(FALSE);
        buttonStart().EnableWindow(FALSE);
        m_bControl = FALSE;
    }
    return S_OK;
}

// ON_REGISTERED_MESSAGE(WM_VAIBO_SEMANTICS, OnVAIBOSemantics)
LRESULT CGetSensorInfoDlg::OnVAIBOSemantics( WPARAM wParam, LPARAM lParam )
{
	int result;

	if ((unsigned) m_nAiboID != HIWORD(wParam)) {
        // This is not my AIBO that I requested to connect to
		return S_FALSE;
	}

	switch (LOWORD(wParam)) {
	case SEM_START :
		switch (lParam) {
		case START_SENSORTP :
			result = m_pVAibo->SensorTransferStart();
			if (result != VAIBO_NOERROR && result != SENSORTP_WORKING) {
				CString strMsg;
				strMsg.Format(IDS_SENSORTRANSFER_START_ERROR, result);
				AfxMessageBox( strMsg, MB_OK|MB_ICONSTOP );
				return S_FALSE;
			}
			m_bNetServiceSensorEnable = true;
			m_bSensorTransferStart = true;
			m_bSetSkipRate = false;
			m_bSentpSending = true;
			buttonStart().SetWindowText( "Stop" );
			break;
		}
		break;
	}
	return S_OK;
}

void CGetSensorInfoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CGetSensorInfoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CGetSensorInfoDlg::OnBtnConnect() 
{
    m_myRequest = TRUE;

	if ( !m_bConnected ) {
		// Connect to AIBO
 		UpdateData();
		
		// Get the IP address to connect to
 		BYTE		nField0, nField1, nField2, nField3;
 		m_ipAddress.GetAddress(nField0, nField1, nField2, nField3 );
 		theApp.m_sAiboIP.Format("%d.%d.%d.%d", nField0, nField1, nField2, nField3 );

		buttonConnect().SetWindowText( "Connecting..." );
		int nAiboID;
 		nAiboID = m_pVAibo->Connect((LPCTSTR)theApp.m_sAiboIP);
 		if (nAiboID < 0) {	// Connect error
 			CString msgerr;
 			msgerr.Format("AIBO connection error (%d), see VAIBODef.h", nAiboID);
 			AfxMessageBox(msgerr);
		}else{
			m_nAiboID = nAiboID;
		}
 	} else {
		// Disconnect from AIBO
		buttonConnect().SetWindowText( "Disconnecting..." );
 		int result = m_pVAibo->Disconnect();
		if (result != VAIBO_NOERROR) {
	 		CString msgerr;
 			msgerr.Format("AIBO disconnection error (%d), see VAIBODef.h", result);
 			AfxMessageBox(msgerr);
		}
	}
}

void CGetSensorInfoDlg::OnBtnStart() 
{
	int state, result;
	CString strMsg;

	if (!m_bSentpSending) {
		state = m_pVAibo->GetStateSensorTP();
		switch (state) {
		case SENSORTP_STATE_CLOSE : 
			if (!m_pVAibo->RequestNetService(SENSOR_ID)) {
				strMsg.Format(IDS_REQNETSERVICE_ERROR, "SENSOR");
				AfxMessageBox( strMsg, MB_OK|MB_ICONSTOP );
				return;
			} 
			m_bNetServiceSensorEnable = true;
			m_bSensorTransferStart = false;
			buttonStart().SetWindowText( "Starting" );
			m_bSetSkipRate = false;
			break;
			// SensorTransferStart() will be invoked in OnVAIBOSemantics()
		case SENSORTP_STATE_SERVICE : 
		case SENSORTP_STATE_PAUSE :
			// Someone has started RequestNetService(SENSOR_ID)
			result = m_pVAibo->SensorTransferStart();
			if (result != VAIBO_NOERROR) {
				strMsg.Format(IDS_SENSORTRANSFER_START_ERROR, result);
				AfxMessageBox( strMsg, MB_OK|MB_ICONSTOP );
				return;
			}
			m_bNetServiceSensorEnable = true;
			m_bSensorTransferStart = true;
			m_bSetSkipRate = false;
			buttonStart().SetWindowText( "Stop" );
			m_bSentpSending = true;
			break;
		case SENSORTP_STATE_PLAY  :
			// Someone has started SensorTransferStart()
			m_pVAibo->SensorSetSkipRate(m_sliderSkip.GetPos());
			m_bNetServiceSensorEnable = true;
			m_bSensorTransferStart = true;
			m_bSetSkipRate = true;
			buttonStart().SetWindowText( "Stop" );
			m_bSentpSending = true;
			break;
		} // end of switch
	} else {
		// Stop sending sensor data
		m_bSensorTransferStart = false;
		m_pVAibo->SensorTransferStop();
		buttonStart().SetWindowText( "Start" );
		m_bSetSkipRate = false;
		m_bSentpSending = false;
	}
}


void CGetSensorInfoDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	m_sSkip.Format("%d", m_sliderSkip.GetPos());
	UpdateData(false);
	
	if ( m_bSentpSending ) {
		// Set the SensorTP skip rate
		m_pVAibo->SensorSetSkipRate( m_sliderSkip.GetPos() );
	}

	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

void CGetSensorInfoDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	if ( m_pVAibo != NULL ) {
		if ( m_bConnected ) {
			int result = m_pVAibo->Disconnect();
			if (result != VAIBO_NOERROR) {
	 			CString msgerr;
 				msgerr.Format("AIBO disconnection error (%d), see VAIBODef.h", result);
 				AfxMessageBox(msgerr);
			}
		}
		delete m_pVAibo;
		m_pVAibo = NULL;
	}
}

void CGetSensorInfoDlg::OnBtnRemote() 
{
    if ( m_pVAibo != NULL && !m_bControl) {
        // Check another application getting remote control
        if ( m_pVAibo->IsRemote() ) {
            OnVAIBORemoteNotify(((unsigned)m_nAiboID)<<16, 1);
        } else 
        // Start controlling from PC
        if ( !(m_pVAibo->ExternalControl(FALSE)) ) {
            CString msgerr;
            msgerr.Format("ExternalControl error");
            AfxMessageBox(msgerr);
        }
    }
}

void CGetSensorInfoDlg::OnBtnInternal() 
{
    if ( m_pVAibo != NULL && m_bControl) {
        // Check another application releasing remote control
        if ( !(m_pVAibo->IsRemote()) ) {
            OnVAIBORemoteNotify(((unsigned)m_nAiboID)<<16, 0);
        } else 
        // Stop controlling from PC
        if ( !(m_pVAibo->InternalControl(FALSE)) ) {
            CString msgerr;
            msgerr.Format("InternalControl error");
            AfxMessageBox(msgerr);
        }
    }
}
