<?php

class AIBOControl {

	// The photo file name path that is created by TakePicture
	// This path should be under Apache server document root.
	var $imagepath = "D:\\Program Files\\Apache Group\\Apache\\htdocs\\image\\";

	// URL that is accessed from web browser
	var $imageurl  = "http://localhost/image/";

	// The host PC's IP address and port that works TakePicture RFW Application.
	var $host = "localhost";
	var $port = "54321";

	var $fp;

	function close() {
		if($this->fp) {
			fclose($this->fp);
		}
	}

	function open() {
		$this->fp = fsockopen($this->host, $this->port, $errno, $errstr, 10);
		if(!$this->fp) {
			return FALSE;
		} else {
			return TRUE;
		}
	}

	function send($command) {
		if(!$this->fp) {
			return FALSE;
		} else {
			fputs ($this->fp, $command);
			return fgets ($this->fp, 128);
		}
	}

	function getImage() {
		$filename = date("Y-m-d-H-i-s").".jpg";
		$com = "PHOTO"." ".$this->imagepath.$filename;
		$ret = $this->send($com);
		if(strncmp($ret, "OK", 2)==0) {
			return $this->imageurl.$filename;
		} else {
			return FALSE;
		}
	}

	function hello() {
		$com = "HELLO";
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function bye() {
		$com = "BYE";
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function dance() {
		$com = "DANCE";
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function forward($distance) {
		$com = "FORWARD"." ".$distance;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function back($distance) {
		$com = "BACK"." ".$distance;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function right($angle) {
		$com = "RIGHT"." ".$angle;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function left($angle) {
		$com = "LEFT"." ".$angle;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function stop() {
		$com = "STOP";
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function moveHeadV($angle) {
		$com = "MOVEHEADV"." ".$angle;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function moveHeadH($angle) {
		$com = "MOVEHEADH"." ".$angle;
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	function moveHeadCenter() {
		$com = "MOVEHEADC";
		$ret = $this->send($com);

		if(strncmp($ret, "OK", 2)==0) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

}
?>
